import { Context } from '@actions/github/lib/context';
export declare const getBuildInfo: (filepath: string) => false | {
    owner?: string | undefined;
    repo?: string | undefined;
    sha?: string | undefined;
    ref?: string | undefined;
    tagName: string;
    branch: string;
    tags: string[];
    'updated_at': string;
};
export declare const isCloned: (workDir: string) => boolean;
export declare const isSemanticVersioningTagName: (tagName: string) => boolean;
export declare const isBranch: (ref: string | Context) => boolean;
export declare const isRemoteBranch: (ref: string | Context) => boolean;
export declare const isPrRef: (ref: string | Context) => boolean;
export declare const getPrMergeRef: (ref: string | Context) => string;
export declare const getPrHeadRef: (ref: string | Context) => string;
export declare const getRefForUpdate: (ref: string | Context) => string;
export declare const getBranch: (ref: string | Context, defaultIsEmpty?: boolean) => string;
export declare const getAccessToken: (required: boolean) => string;
export declare const getActor: () => string;
export declare const escapeRegExp: (text: string) => string;
export declare const getRegExp: (value: string) => RegExp;
export declare const getPrefixRegExp: (value: string) => RegExp;
export declare const getSuffixRegExp: (value: string) => RegExp;
export declare const getBoolValue: (input: string) => boolean;
export declare const uniqueArray: <T>(array: T[]) => T[];
export declare const getWorkspace: () => string;
export declare const getArrayInput: (name: string, required?: boolean, separator?: string) => string[];
export declare const sleep: (millisecond: number) => Promise<void>;
export declare const useNpm: (workDir: string, pkgManager?: string) => boolean;
export declare const replaceAll: (string: string, key: string, value: string) => string;
